import App from './App'

// #ifndef VUE3
import Vue from 'vue'

Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif
import uView from '@/uni_modules/uview-ui'
import toast from'@/components/toast/index.js'
import * as http from './common/http.js'
import * as utils from './common/utils.js'
import * as checks from './common/check.js'
import config from './config.js'
import store from './store'
import storage from 'common/storage'
import moment from 'moment'
Vue.prototype.$toast = toast
Vue.prototype.$config = config
Vue.prototype.$http = http
Vue.prototype.$utils = utils
Vue.prototype.$checks = checks
Vue.prototype.$store = store
Vue.prototype.$storage = storage
Vue.prototype.$moment = moment
Vue.prototype.$bus = new Vue()
Vue.use(uView)
// #ifdef VUE3 
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif
// 调用setConfig方法，方法内部会进行对象属性深度合并，可以放心嵌套配置
// 需要在Vue.use(uView)之后执行
uni.$u.setConfig({
	// 修改$u.config对象的属性
	config: {
		// 修改默认单位为rpx，相当于执行 uni.$u.config.unit = 'rpx'
		unit: 'rpx'
	},
	// 修改$u.props对象的属性
	props: {
		// 修改radio组件的size参数的默认值，相当于执行 uni.$u.props.radio.size = 30
		radio: {
			size: 15
		}
		// 其他组件属性配置
		// ......
	}
})